'use strict';var wellKnownSymbol=require('./well-known-symbol-08f3111a.js'),normalizeComponent=require('./normalize-component-ebe0c011.js'),objectKeys=require('./object-keys-5cf8040b.js');var propertyIsEnumerable = wellKnownSymbol.z.f;

// `Object.{ entries, values }` methods implementation
var createMethod = function (TO_ENTRIES) {
  return function (it) {
    var O = wellKnownSymbol.f(it);
    var keys = objectKeys.o(O);
    var length = keys.length;
    var i = 0;
    var result = [];
    var key;
    while (length > i) {
      key = keys[i++];
      if (!normalizeComponent.d || propertyIsEnumerable.call(O, key)) {
        result.push(TO_ENTRIES ? [key, O[key]] : O[key]);
      }
    }
    return result;
  };
};

var objectToArray = {
  // `Object.entries` method
  // https://tc39.es/ecma262/#sec-object.entries
  entries: createMethod(true),
  // `Object.values` method
  // https://tc39.es/ecma262/#sec-object.values
  values: createMethod(false)
};var $values = objectToArray.values;

// `Object.values` method
// https://tc39.es/ecma262/#sec-object.values
wellKnownSymbol._({ target: 'Object', stat: true }, {
  values: function values(O) {
    return $values(O);
  }
});